Bug 169831 - "getent hosts" doesn't use /etc/hosts for reverse lookup anymore
"getent hosts" doesn't use /etc/hosts for reverse lookup anymore
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-04 05:34 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0124
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:23:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-10-04 05:34:59 EDT
On a RHEL3 system:
# grep test /etc/hosts
1.1.1.1         test
# grep hosts /etc/nsswitch.conf
hosts:      files dns
# /etc/init.d/nscd status
nscd is stopped
# getent hosts 1.1.1.1
1.1.1.1         test

On a RHEL 4 system:
# grep test /etc/hosts
1.1.1.1         test
# grep hosts /etc/nsswitch.conf
hosts:      files dns
# /etc/init.d/nscd status
nscd is stopped
# getent hosts 1.1.1.1
#
Comment 7 Red Hat Bugzilla 2006-03-07 13:23:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0124.html
Comment 8 Issue Tracker 2007-07-06 13:22:06 EDT
CRM closed, closing accordingly

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'Auto Closed'

This event sent from IssueTracker by pdemauro 
 issue 80831

Note You need to log in before you can comment on or make changes to this bug.